Download it now!
Bug 71971 - FILESAVE: FILESAVE As XSLX -- Conditional Formatting not translating
Summary: FILESAVE: FILESAVE As XSLX -- Conditional Formatting not translating
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.1.2.3 release
Hardware: Other Windows (All)
: medium normal
Assignee: Markus Mohrhard
URL:
Whiteboard: BSA target:4.3.0 target:4.2.0.0.beta2...
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-24 23:04 UTC by Lew Merrick
Modified: 2016-05-15 20:46 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
This is an index I use to organize CAD datasets. When saved to Excel (xlsx) format, the conditional formatting fails (even when re-loaded into Calc) and Excel reports the file as "corrupt." (434.09 KB, application/vnd.oasis.opendocument.spreadsheet)
2013-11-24 23:04 UTC, Lew Merrick
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lew Merrick 2013-11-24 23:04:51 UTC
Created attachment 89724 [details]
This is an index I use to organize CAD datasets.  When saved to Excel (xlsx) format, the conditional formatting fails (even when re-loaded into Calc) and Excel reports the file as "corrupt."

Problem description: 

Steps to reproduce:
1. Create a Spreadsheet with conditional formatting of cells.
2. Save As MS/Excel xlsx format
3. Open with Calc -- notice that conditional formatting fails.
4. Open with MS/Excel and be told this is a "corrupt" file.

Current behavior:

Expected behavior:

              
Operating System: Windows 7
Version: 4.1.2.3 release
Comment 1 Tim Lloyd 2013-11-25 02:10:21 UTC
Hi Lew,

I am afraid my excel/calc skills are a bit lacking but I did see differences in the "Alloy UNC SHCS Index" worksheet after saving the ODS file as XLSX.

Maybe you could try saving as .XLS? I tried this and it asked me a question about a password! So that is as far as I got.

Please let us know how you get on.

Cheers
Comment 2 Lew Merrick 2013-11-25 02:32:31 UTC
Tim -- As I understand it (as told to me by a MS Office programmer), conditional formatting is not supported in XLS format Excel.  I am only using conditional formatting to differentiate an "availability status" in my index such that the user can control "readily available," "special order only," "production lot order only," and "not available as a standard part" conditions when specifying a fastener.

That is what I think I know...
Comment 3 Tim Lloyd 2013-11-26 23:53:43 UTC
Hi Lew, in that case I can't make an accurate evaluation of this problem and will have to leave it UNCO for future action.
Comment 4 Lew Merrick 2013-11-27 03:05:20 UTC
Tim -- I tried again today with other Excel users to make the conversion.  They were using Excel 2010 and Excel 2003.  No success on the translation.  I expect to work with my MS programmer friend later this week.
Comment 5 Commit Notification 2013-11-30 15:46:14 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7415fc31f5cdf7ff3f78dd304b9576b931a82aeb

write valid dxf record, related fdo#71971



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2013-11-30 15:46:31 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e361f6b81b09919c77995a85250c70b099389915

more OOXML export validation fixes, fdo#71971



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2013-12-01 00:01:49 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5ce4d7233fa3ea627cfbdc97a68d2b23e4abd057&h=libreoffice-4-2

write valid dxf record, related fdo#71971


It will be available in LibreOffice 4.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2013-12-01 00:02:04 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d0f664014d02e02fbcfa80c118a0950f45513ada&h=libreoffice-4-2

more OOXML export validation fixes, fdo#71971


It will be available in LibreOffice 4.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2013-12-04 10:58:51 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=99643319b62c3673b57f31d61a4619625747a444&h=libreoffice-4-1

write valid dxf record, related fdo#71971


It will be available in LibreOffice 4.1.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.